Index: palm/trunk/SOURCE/data_output_spectra.f90
===================================================================
--- palm/trunk/SOURCE/data_output_spectra.f90	(revision 1354)
+++ palm/trunk/SOURCE/data_output_spectra.f90	(revision 1682)
@@ -1,4 +1,3 @@
- SUBROUTINE data_output_spectra
-
+!> @file data_output_spectra.f90
 !--------------------------------------------------------------------------------!
 ! This file is part of PALM.
@@ -20,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Code annotations made doxygen readable 
 ! 
 ! Former revisions:
@@ -62,7 +61,9 @@
 ! Description:
 ! ------------
-! Writing spectra data on file, using a special format which allows
-! plotting of these data with PROFIL-graphic-software
+!> Writing spectra data on file, using a special format which allows
+!> plotting of these data with PROFIL-graphic-software
 !------------------------------------------------------------------------------!
+ SUBROUTINE data_output_spectra
+ 
 #if defined( __spectra )
 
@@ -90,11 +91,11 @@
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  cranz_x !:
-    INTEGER(iwp) ::  cranz_y !:
-    INTEGER(iwp) ::  m       !:
-    INTEGER(iwp) ::  pr      !:
-    
-    LOGICAL      ::  frame_x !: 
-    LOGICAL      ::  frame_y !:
+    INTEGER(iwp) ::  cranz_x !<
+    INTEGER(iwp) ::  cranz_y !<
+    INTEGER(iwp) ::  m       !<
+    INTEGER(iwp) ::  pr      !<
+    
+    LOGICAL      ::  frame_x !< 
+    LOGICAL      ::  frame_y !<
 
     CALL cpu_log( log_point(31), 'data_output_spectra', 'start' )
@@ -200,4 +201,9 @@
 
 
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> @todo Missing subroutine description.
+!------------------------------------------------------------------------------!
  SUBROUTINE output_spectra_netcdf( nsp, direction )
 #if defined( __netcdf )
@@ -227,15 +233,15 @@
     IMPLICIT NONE
 
-    CHARACTER (LEN=1), INTENT(IN) ::  direction     !:
-
-    INTEGER(iwp), INTENT(IN)      ::  nsp           !:
-
-    INTEGER(iwp)                  ::  i             !:
-    INTEGER(iwp)                  ::  k             !:
-
-    REAL(wp)                      ::  frequency     !:
-
-    REAL(wp), DIMENSION(nx/2)     ::  netcdf_data_x !:
-    REAL(wp), DIMENSION(ny/2)     ::  netcdf_data_y !:
+    CHARACTER (LEN=1), INTENT(IN) ::  direction     !<
+
+    INTEGER(iwp), INTENT(IN)      ::  nsp           !<
+
+    INTEGER(iwp)                  ::  i             !<
+    INTEGER(iwp)                  ::  k             !<
+
+    REAL(wp)                      ::  frequency     !<
+
+    REAL(wp), DIMENSION(nx/2)     ::  netcdf_data_x !<
+    REAL(wp), DIMENSION(ny/2)     ::  netcdf_data_y !<
 
 
@@ -281,4 +287,9 @@
 
 #if defined( __spectra )
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> @todo Missing subroutine description.
+!------------------------------------------------------------------------------!
  SUBROUTINE data_output_spectra_x( m, cranz, pr, frame_written )
 
@@ -310,51 +321,51 @@
     IMPLICIT NONE
 
-    CHARACTER (LEN=30) ::  atext !:
-    
-    INTEGER(iwp)       ::  i     !:
-    INTEGER(iwp)       ::  j     !:
-    INTEGER(iwp)       ::  k     !:
-    INTEGER(iwp)       ::  m     !:
-    INTEGER(iwp)       ::  pr    !:
-    
-    LOGICAL            ::  frame_written   !:
-    
-    REAL(wp)           ::  frequency = 0.0_wp !:
+    CHARACTER (LEN=30) ::  atext !<
+    
+    INTEGER(iwp)       ::  i     !<
+    INTEGER(iwp)       ::  j     !<
+    INTEGER(iwp)       ::  k     !<
+    INTEGER(iwp)       ::  m     !<
+    INTEGER(iwp)       ::  pr    !<
+    
+    LOGICAL            ::  frame_written   !<
+    
+    REAL(wp)           ::  frequency = 0.0_wp !<
 !
 !-- Variables needed for PROFIL-namelist
-    CHARACTER (LEN=80) ::  rtext                !:
-    CHARACTER (LEN=80) ::  utext                !:
-    CHARACTER (LEN=80) ::  xtext = 'k in m>->1' !:
-    CHARACTER (LEN=80) ::  ytext                !:
-
-    INTEGER(iwp)       ::  cranz       !:
-    INTEGER(iwp)       ::  labforx = 3 !:
-    INTEGER(iwp)       ::  labfory = 3 !:
-    INTEGER(iwp)       ::  legpos  = 3 !:
-    INTEGER(iwp)       ::  timodex = 1 !:
-    
-    INTEGER(iwp), DIMENSION(1:100) ::  cucol  = 1      !:
-    INTEGER(iwp), DIMENSION(1:100) ::  klist  = 999999 !:
-    INTEGER(iwp), DIMENSION(1:100) ::  lstyle = 0      !:
-    
-    LOGICAL ::  datleg = .TRUE. !:
-    LOGICAL ::  grid = .TRUE.   !:
-    LOGICAL ::  lclose = .TRUE. !:
-    LOGICAL ::  rand = .TRUE.   !:
-    LOGICAL ::  swap = .TRUE.   !:
-    LOGICAL ::  twoxa = .TRUE.  !:
-    LOGICAL ::  xlog = .TRUE.   !:
-    LOGICAL ::  ylog = .TRUE.   !:
-    
-    REAL(wp) ::  gwid = 0.1_wp    !:
-    REAL(wp) ::  rlegfak = 0.7_wp !:
-    REAL(wp) ::  uxmin            !:
-    REAL(wp) ::  uxmax            !:
-    REAL(wp) ::  uymin            !:
-    REAL(wp) ::  uymax            !:
+    CHARACTER (LEN=80) ::  rtext                !<
+    CHARACTER (LEN=80) ::  utext                !<
+    CHARACTER (LEN=80) ::  xtext = 'k in m>->1' !<
+    CHARACTER (LEN=80) ::  ytext                !<
+
+    INTEGER(iwp)       ::  cranz       !<
+    INTEGER(iwp)       ::  labforx = 3 !<
+    INTEGER(iwp)       ::  labfory = 3 !<
+    INTEGER(iwp)       ::  legpos  = 3 !<
+    INTEGER(iwp)       ::  timodex = 1 !<
+    
+    INTEGER(iwp), DIMENSION(1:100) ::  cucol  = 1      !<
+    INTEGER(iwp), DIMENSION(1:100) ::  klist  = 999999 !<
+    INTEGER(iwp), DIMENSION(1:100) ::  lstyle = 0      !<
+    
+    LOGICAL ::  datleg = .TRUE. !<
+    LOGICAL ::  grid = .TRUE.   !<
+    LOGICAL ::  lclose = .TRUE. !<
+    LOGICAL ::  rand = .TRUE.   !<
+    LOGICAL ::  swap = .TRUE.   !<
+    LOGICAL ::  twoxa = .TRUE.  !<
+    LOGICAL ::  xlog = .TRUE.   !<
+    LOGICAL ::  ylog = .TRUE.   !<
+    
+    REAL(wp) ::  gwid = 0.1_wp    !<
+    REAL(wp) ::  rlegfak = 0.7_wp !<
+    REAL(wp) ::  uxmin            !<
+    REAL(wp) ::  uxmax            !<
+    REAL(wp) ::  uymin            !<
+    REAL(wp) ::  uymax            !<
      
-    REAL(wp), DIMENSION(1:100) ::  lwid = 0.6_wp !:
-    REAL(wp), DIMENSION(100)   ::  uyma          !:
-    REAL(wp), DIMENSION(100)   ::  uymi          !:
+    REAL(wp), DIMENSION(1:100) ::  lwid = 0.6_wp !<
+    REAL(wp), DIMENSION(100)   ::  uyma          !<
+    REAL(wp), DIMENSION(100)   ::  uymi          !<
 
     NAMELIST /RAHMEN/  cranz, datleg, rtext, swap
@@ -482,4 +493,9 @@
 
 
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> @todo Missing subroutine description.
+!------------------------------------------------------------------------------!
  SUBROUTINE data_output_spectra_y( m, cranz, pr, frame_written )
 
@@ -513,53 +529,53 @@
 
     
-    CHARACTER (LEN=30) ::  atext !:
-    
-    INTEGER(iwp)       ::  i     !:
-    INTEGER(iwp)       ::  j     !:
-    INTEGER(iwp)       ::  k     !:
-    INTEGER(iwp)       ::  m     !:
-    INTEGER(iwp)       ::  pr    !:
-    
-    LOGICAL            :: frame_written   !:
-    
-    REAL(wp)           :: frequency = 0.0_wp !:
+    CHARACTER (LEN=30) ::  atext !<
+    
+    INTEGER(iwp)       ::  i     !<
+    INTEGER(iwp)       ::  j     !<
+    INTEGER(iwp)       ::  k     !<
+    INTEGER(iwp)       ::  m     !<
+    INTEGER(iwp)       ::  pr    !<
+    
+    LOGICAL            :: frame_written   !<
+    
+    REAL(wp)           :: frequency = 0.0_wp !<
 
 !
 !-- Variables needed for PROFIL-namelist
-    CHARACTER (LEN=80) ::  rtext                !:
-    CHARACTER (LEN=80) ::  utext                !:
-    CHARACTER (LEN=80) ::  xtext = 'k in m>->1' !:
-    CHARACTER (LEN=80) ::  ytext                !:
-
-    INTEGER(iwp) ::  cranz       !:
-    INTEGER(iwp) ::  labforx = 3 !:
-    INTEGER(iwp) ::  labfory = 3 !:
-    INTEGER(iwp) ::  legpos  = 3 !:
-    INTEGER(iwp) ::  timodex = 1 !:
-    
-    INTEGER(iwp), DIMENSION(1:100) ::  cucol  = 1      !:
-    INTEGER(iwp), DIMENSION(1:100) ::  klist  = 999999 !:
-    INTEGER(iwp), DIMENSION(1:100) ::  lstyle = 0      !:
-    
-    LOGICAL ::  datleg = .TRUE. !:
-    LOGICAL ::  grid = .TRUE.   !:
-    LOGICAL ::  lclose = .TRUE. !:
-    LOGICAL ::  rand = .TRUE.   !:
-    LOGICAL ::  swap = .TRUE.   !:
-    LOGICAL ::  twoxa = .TRUE.  !:
-    LOGICAL ::  xlog = .TRUE.   !:
-    LOGICAL ::  ylog = .TRUE.   !:
-    
-    REAL(wp) ::  gwid = 0.1_wp     !:
-    REAL(wp) ::  rlegfak = 0.7_wp  !:
-    REAL(wp) ::  uxmin             !:
-    REAL(wp) ::  uxmax             !:
-    REAL(wp) ::  uymin             !:
-    REAL(wp) ::  uymax             !:
-    
-    REAL(wp), DIMENSION(1:100) ::  lwid = 0.6_wp !:
-    
-    REAL(wp), DIMENSION(100)   ::  uyma          !:
-    REAL(wp), DIMENSION(100)   ::  uymi          !:
+    CHARACTER (LEN=80) ::  rtext                !<
+    CHARACTER (LEN=80) ::  utext                !<
+    CHARACTER (LEN=80) ::  xtext = 'k in m>->1' !<
+    CHARACTER (LEN=80) ::  ytext                !<
+
+    INTEGER(iwp) ::  cranz       !<
+    INTEGER(iwp) ::  labforx = 3 !<
+    INTEGER(iwp) ::  labfory = 3 !<
+    INTEGER(iwp) ::  legpos  = 3 !<
+    INTEGER(iwp) ::  timodex = 1 !<
+    
+    INTEGER(iwp), DIMENSION(1:100) ::  cucol  = 1      !<
+    INTEGER(iwp), DIMENSION(1:100) ::  klist  = 999999 !<
+    INTEGER(iwp), DIMENSION(1:100) ::  lstyle = 0      !<
+    
+    LOGICAL ::  datleg = .TRUE. !<
+    LOGICAL ::  grid = .TRUE.   !<
+    LOGICAL ::  lclose = .TRUE. !<
+    LOGICAL ::  rand = .TRUE.   !<
+    LOGICAL ::  swap = .TRUE.   !<
+    LOGICAL ::  twoxa = .TRUE.  !<
+    LOGICAL ::  xlog = .TRUE.   !<
+    LOGICAL ::  ylog = .TRUE.   !<
+    
+    REAL(wp) ::  gwid = 0.1_wp     !<
+    REAL(wp) ::  rlegfak = 0.7_wp  !<
+    REAL(wp) ::  uxmin             !<
+    REAL(wp) ::  uxmax             !<
+    REAL(wp) ::  uymin             !<
+    REAL(wp) ::  uymax             !<
+    
+    REAL(wp), DIMENSION(1:100) ::  lwid = 0.6_wp !<
+    
+    REAL(wp), DIMENSION(100)   ::  uyma          !<
+    REAL(wp), DIMENSION(100)   ::  uymi          !<
 
     NAMELIST /RAHMEN/  cranz, datleg, rtext, swap
